[package]
name = "xand-runtime-models"
version = "3.0.1"
authors = ['Transparent Financial Systems <support@tpfs.io>']
edition = "2021"
description = "Crate has been yanked and should not be used"
license = "MIT OR Apache-2.0"

[badges]
maintenance = { status = "deprecated" }

[features]
default = ['std']
std = ["serde/std", "x25519-dalek/std", "bs58/std"]
serialization = ["serde", "serde/derive", "snafu"]

[dependencies]
bs58 = { version = "0.4.0", default-features = false, features = ["alloc"] }
derive_more = "0.99"
x25519-dalek = { version = "1.0", default-features = false, features = ["u64_backend"] }
# Optional serde dependencies for serialization
serde = { version = "1.0", default-features = false, optional = true }
snafu = { version = "0.6", optional = true }
xand_ledger = { version = "0.62.2", default-features = false, registry = "tpfs" }
wasm-hash-verifier = { version = "0.2.2", default_features = false, registry = "tpfs" }
serde-scale-wrap = { version = "0.3.0", default-features = false }

[dependencies.hex]
default_features = false
version = '0.4'
features = ["alloc"]

[dependencies.parity-scale-codec]
default-features = false
optional = true
features = ['derive']
version = '2.1'

[dev-dependencies]
serde_json = "1.0.59"
